Package org.springframework.security.authentication.jaas

# Class JaasGrantedAuthority

java.lang.Object
org.springframework.security.authentication.jaas.JaasGrantedAuthority

All Implemented Interfaces:
  `Serializable`, `GrantedAuthority`

public final class JaasGrantedAuthority extends Object implements GrantedAuthority
`GrantedAuthority` which, in addition to the assigned role, holds the principal that an `AuthorityGranter` used as a reason to grant this authority.

See Also:
  - `AuthorityGranter`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JaasGrantedAuthority(String role, Principal principal)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAuthority()`
If the `GrantedAuthority` can be represented as a `String` and that `String` is sufficient in precision to be relied upon for an access control decision by an `AccessDecisionManager` (or delegate), this method should return such a `String`.
`Principal`
`getPrincipal()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JaasGrantedAuthority

public JaasGrantedAuthority(String role, Principal principal)

## Method Details

### getPrincipal

public Principal getPrincipal()

### getAuthority

public String getAuthority()
Description copied from interface: `GrantedAuthority`
If the `GrantedAuthority` can be represented as a `String` and that `String` is sufficient in precision to be relied upon for an access control decision by an `AccessDecisionManager` (or delegate), this method should return such a `String`.

If the `GrantedAuthority` cannot be expressed with sufficient precision as a `String`, `null` should be returned. Returning `null` will require an `AccessDecisionManager` (or delegate) to specifically support the `GrantedAuthority` implementation, so returning `null` should be avoided unless actually required.

Specified by:
  `getAuthority` in interface `GrantedAuthority`
Returns:
  a representation of the granted authority (or `null` if the granted authority cannot be expressed as a `String` with sufficient precision).

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`